Create user as child of current user
curl --request POST \
--url https://{host}/frontend/api/v1/user/current \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"first-name": "<string>",
"last-name": "<string>",
"permissions": [
"read:billing"
],
"restrictions": [
"read:billing"
]
}
'import requests
url = "https://{host}/frontend/api/v1/user/current"
payload = {
"email": "jsmith@example.com",
"first-name": "<string>",
"last-name": "<string>",
"permissions": ["read:billing"],
"restrictions": ["read:billing"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
'first-name': '<string>',
'last-name': '<string>',
permissions: ['read:billing'],
restrictions: ['read:billing']
})
};
fetch('https://{host}/frontend/api/v1/user/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"id": 1,
"additional-emails": [
"<string>"
],
"avatars": {},
"created": "2023-11-07T05:31:56Z",
"email": "<string>",
"first-name": "<string>",
"last-name": "<string>",
"parent": {
"id": 1,
"email": "<string>",
"username": "<string>"
},
"parent-user-ids": [
1
],
"permissions": {},
"plan": {
"active": true,
"amount": {
"fixed": 123,
"max": 123,
"min": 123,
"preset": 123,
"tiers": [
123
]
},
"created": "2023-11-07T05:31:56Z",
"description": "<string>",
"details": {},
"id": "<string>",
"name": "<string>",
"stripe-price": "<unknown>"
},
"restrictions": {},
"root-user-id": 1,
"stripe_customer_id": "<string>",
"updated": "2023-11-07T05:31:56Z",
"username": "<string>"
}
}{
"code": 123,
"context": {},
"error": "<string>",
"status": "<string>"
}User
Create user as child of current user
POST
/
frontend
/
api
/
v1
/
user
/
current
Create user as child of current user
Authorizations
api_key_headerapi_keyjwt-tokenjwt-cookiejwt
API Key Security (Header).
Body
application/jsonapplication/x-www-form-urlencoded
Required string length:
5 - 255Example:
"J"
Example:
"Doe"
Permissions list
Available options:
read:admin, read:billing, read:invite, read:media, read:profile, read:statistics, read:sub-user, read:user, write:admin, write:billing, write:invite, write:media, write:sub-user, write:user Restrictions list
Available options:
read:admin, read:billing, read:invite, read:media, read:profile, read:statistics, read:sub-user, read:user, write:admin, write:billing, write:invite, write:media, write:sub-user, write:user Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I

